Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class FormatAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.FormatAdmin

    public class FormatAdmin

extends java.lang.Object

The `FormatAdmin.java` class - colleciton of Format admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`FormatAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createFormat(LibrarySession sess, FormatDefinition def)` internal variant of Create Format
`protected void` | `createFormat(LibrarySession sess, ParameterTable params)` Section variant of Create Format
`protected void` | `createFormat(LibrarySession sess, java.lang.String nameToken, java.lang.String mimetypeToken, java.lang.String extensionToken, java.lang.String isbinaryToken)` inline variant of Create Format
`protected void` | `freeFormat(LibrarySession sess, ParameterTable params)` Section variant of Free Format
`protected void` | `freeFormat(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free Format
`protected Format` | `lookupFormat(LibrarySession sess, java.lang.String name)` Lookup format by name
`protected void` | `modifyFormat(LibrarySession sess, ParameterTable params)` Section variant of Modify Format
`protected void` | `modifyFormat(LibrarySession sess, java.lang.String name, FormatDefinition fmtdef)` internal variant of Modify Format
`void` | `showFormat(LibrarySession sess, Format format)`
`void` | `showFormat(LibrarySession sess, ParameterTable params)` Section variant of showFormat
`void` | `showFormat(LibrarySession sess, java.lang.String formatname)` Inline/internal variant of showFormat

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### FormatAdmin

    public FormatAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createFormat

    protected void createFormat(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `FormatAdmin`
  Section variant of Create Format

  Throws:
    `IfsException`

### createFormat

    protected void createFormat(LibrarySession sess,
                                java.lang.String nameToken,
                                java.lang.String mimetypeToken,
                                java.lang.String extensionToken,
                                java.lang.String isbinaryToken)
                         throws IfsException

  Description copied from class: `FormatAdmin`
  inline variant of Create Format

  Throws:
    `IfsException`

### createFormat

    protected void createFormat(LibrarySession sess,
                                FormatDefinition def)
                         throws IfsException

  Description copied from class: `FormatAdmin`
  internal variant of Create Format

  Throws:
    `IfsException`

### modifyFormat

    protected void modifyFormat(LibrarySession sess,
                                ParameterTable params)
                         throws IfsException

  Description copied from class: `FormatAdmin`
  Section variant of Modify Format

  Throws:
    `IfsException`

### modifyFormat

    protected void modifyFormat(LibrarySession sess,
                                java.lang.String name,
                                FormatDefinition fmtdef)
                         throws IfsException

  Description copied from class: `FormatAdmin`
  internal variant of Modify Format

  Throws:
    `IfsException`

### freeFormat

    protected void freeFormat(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `FormatAdmin`
  Section variant of Free Format

  Throws:
    `IfsException`

### freeFormat

    protected void freeFormat(LibrarySession sess,
                              java.lang.String name)
                       throws IfsException

  Description copied from class: `FormatAdmin`
  Inline/internal variant of Free Format

  Throws:
    `IfsException`

### showFormat

    public void showFormat(LibrarySession sess,
                           ParameterTable params)
                    throws IfsException

  Description copied from class: `FormatAdmin`
  Section variant of showFormat

  Throws:
    `IfsException`

### showFormat

    public void showFormat(LibrarySession sess,
                           java.lang.String formatname)
                    throws IfsException

  Description copied from class: `FormatAdmin`
  Inline/internal variant of showFormat

  Throws:
    `IfsException`

### showFormat

    public void showFormat(LibrarySession sess,
                           Format format)
                    throws IfsException

  Throws:
    `IfsException`

### lookupFormat

    protected Format lookupFormat(LibrarySession sess,
                                  java.lang.String name)
                           throws IfsException

  Description copied from class: `FormatAdmin`
  Lookup format by name

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD